Error installing gem sqlite3 - centos5.6

Go To StackoverFlow.com

1

I'm trying to install the sqlite3 gem for ruby on rails and am getting this error... I've already successfully installed sqlite3 via yum.

Building native extensions.  This could take a while...
ERROR:  Error installing sqlite3:
    ERROR: Failed to build gem native extension.

        /usr/local/rvm/rubies/ruby-1.9.3-p125/bin/ruby extconf.rb
checking for sqlite3.h... yes
checking for sqlite3_libversion_number() in -lsqlite3... yes
checking for rb_proc_arity()... yes
checking for sqlite3_initialize()... no
checking for sqlite3_backup_init()... no
checking for sqlite3_column_database_name()... no
checking for sqlite3_enable_load_extension()... no
checking for sqlite3_load_extension()... no
creating Makefile

make
compiling database.c
database.c: In function ‘initialize’:
database.c:47: error: ‘SQLITE_OPEN_READWRITE’ undeclared (first use in this function)
database.c:47: error: (Each undeclared identifier is reported only once
database.c:47: error: for each function it appears in.)
database.c:47: error: ‘SQLITE_OPEN_CREATE’ undeclared (first use in this function)
database.c:79: error: ‘SQLITE_OPEN_READONLY’ undeclared (first use in this function)
database.c:81: warning: implicit declaration of function ‘sqlite3_open_v2’
database.c: In function ‘set_sqlite3_func_result’:
database.c:285: error: ‘sqlite3_int64’ undeclared (first use in this function)
database.c:285: error: expected expression before ‘long’
database.c: In function ‘collation’:
database.c:628: warning: implicit declaration of function ‘sqlite3_create_collation_v2’
database.c: In function ‘load_extension’:
database.c:657: warning: implicit declaration of function ‘sqlite3_load_extension’
database.c: In function ‘enable_load_extension’:
database.c:678: warning: implicit declaration of function ‘sqlite3_enable_load_extension’
make: *** [database.o] Error 1


Gem files will remain installed in /usr/local/rvm/gems/ruby-1.9.3-p125@rails3tutorial2ndEd/gems/sqlite3-1.3.5 for inspection.
Results logged to /usr/local/rvm/gems/ruby-1.9.3-p125@rails3tutorial2ndEd/gems/sqlite3-1.3.5/ext/sqlite3/gem_make.out
2012-04-04 01:18
by Jake


0

An older guide shows how to install sqlite and all the devel packages too, plus some other tricks. It looks like you are just messing around with a tutorial, but if you are going to develop, I'd suggest installing a 'real' database. One with more features, and what not. MySQL or PostgreSQL.

Also make sure you are installing it via the 64 bit OS too, as it looks like it needs it from that error stack, or is looking for it.

2012-04-04 02:05
by pjammer
Thanks for the link! - Jake 2012-04-04 02:10